%define rh9 %(r="`rpm -q --queryformat='%{VERSION}' redhat-release 2>/dev/null`"; if [ $? -eq 0 ]; then if [ X$r = X9 ]; then echo 1; else echo 0; fi; fi;)
%define mod_name XML-Parser
%{?_without_rh9: %{expand: %%define rh9 0}}
%{?_with_rh9: %{expand: %%define rh9 1}}
Summary: A low level Perl module for parsing XML either via trees or streaming.
Name: perl-%{mod_name}
Version: 2.31
Release: 12
License: distributable
Group: Applications/CPAN
Source0: %{mod_name}-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%(id -u -n)
BuildRequires: perl >= 5.6.1
BuildRequires: perl-libwww-perl
BuildRequires: perl-URI
Requires: perl >= 5.6.1
Requires: perl-libwww-perl
Requires: perl-URI

%description
This module provides ways to parse XML documents. It is built on top
of XML::Parser::Expat, which is a lower level interface to James
Clark's expat library. Each call to one of the parsing methods creates
a new instance of XML::Parser::Expat which is then used to parse the
document. Expat options may be provided when the XML::Parser object is
created. These options are then passed on to the Expat object on each
parse call. They can also be given as extra arguments to the parse
methods, in which case they override options given at XML::Parser
creation time.

%prep
%setup -q -n %{mod_name}-%{version} 

%build
%if %{rh9}
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
%else
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%endif
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%if %{rh9}
make install
%else
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
%endif

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{mod_name}-%{version}-filelist
if [ "$(cat %{mod_name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

ls . | egrep -i '((eg|example|demo|util|tutorial|doc|README.*|Change.*|TODO|CREDIT|BUG)(|s)|.(gif|jpg|html|txt))$' | sed "s@^@%doc @g" >>  %{mod_name}-%{version}-filelist 2>/dev/null

%files -f %{mod_name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Thu Jun 19 2003 <rac@lanceerplaats.nl>
- make it build on 9 and 7.3

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Tue Jun  4 2002 Chip Turner <cturner@redhat.com>
- properly claim directories owned by package so they are removed when package is removed

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated. 
